/*PORTFOLIO SECTIOOON*/


.portfolio-wrapper{
	margin-top: 0px;
	width:100%;
	background-color: var(--lightg);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.portfolio-container{
	padding: 0px 90px 0px;
	max-width:1000px;
	

}


.portfolio-grid{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	flex-direction: column;
	margin-top: 30px;

}


.project-container{
  display: flex;
  flex-wrap: wrap;
  gap:60px;
  align-items: center;
  justify-content: center;

  color: white;
  padding: 20px 90px;
  max-width: 1000px;
  width:80%;
  padding-bottom:100px;


}

.project{

	flex: 0 0 calc(30% - 60px);

	height:360px;
	border-radius: 10px;
	background-color: var(--darkg);
	display: flex;
	flex-direction: column;
	box-shadow: 4px 4px 7px var(--shadow);
	transition: transform 0.3s, box-shadow 0.3s;
	overflow: hidden;
	justify-content: center;
	align-items: center;

}


.project:hover{
	transform: translateY(0px);
  cursor: pointer;
  box-shadow: 8px 8px 10px var(--shadow);

}

.project-img-container{
	flex:4;

	overflow: hidden;
	border-radius: 10px 10px 0px 0px;
}

.project-img{
	width: 100%;       /* makes the image fill the width */
  height: 100%;      /* stretch to frame height */
  object-fit: cover; /* crop image to cover frame */
  object-position: center; /* center the crop */


}



.tilt{
	position: relative;
	width:115%;

	transform: translateY(-3px) rotate(-3deg);
	min-height:15px;
	background-color: var(--darkg);
	box-shadow: -4px -4px 4px #222;


}



.project-text{
	padding: 20px;
	position: relative;
	flex:5;
	top:-15px;



}

.project-title{
	color: #eee;
	font-weight: bold;
	font-size: 1.2rem;
	margin-bottom:20px;
}

.project:hover .project-title{

}

.project-desc{
	font-weight: lighter;
	font-size: 0.9rem;
	color: #ccc;

}

.project:hover .project-desc{
	
}



.project-btn{
	position: relative;
	top:-25px;
	color: var(--gold);
	border: 0.5px solid var(--gold);
	padding: 5px 15px;
	border-radius: 5px;
	transition: background-color 0.2s, color 0.2s;
}

.project:hover .project-btn{
	background-color: var(--gold);
	color:var(--darkg);

}








@media (max-width: 1250px){

	.portfolio-container{
	padding: 0px 50px 0px;
}


.project-container{
	gap:40px;
	padding-bottom:100px;
}

.project{
	flex: 0 0 calc(30% - 40px);
	max-width: 280px;
	height:350px;
	min-width:230px;
}

.project-title{
	font-size: 1.2rem;
}

.project-desc, .project-btn{
	font-size: 0.9rem;
}





}




@media (max-width: 960px){

	.project-container{
		padding: 20px 25px;
		padding-bottom:100px;
		width:90%;
		max-width: 900px;

	}
	.project{
	flex: 0 0 calc(36% - 40px);
	min-width: 250px;
	height:340px;
}


}

@media (max-width: 750px){

	.project-container{
		padding: 20px 15px;
		padding-bottom:100px;
	}
	.project{
	flex: 0 0 calc(35% - 40px);
	height:330px;
	min-width: 220px;
}
}

@media (max-width: 650px){

	.text-about{
		font-size: 1rem;
	}

	.project-container{
		padding: 20px 15px;
		width:70%;
		padding-bottom:100px;
		gap: 55px;
	}

	.project{
	
	height:320px;
	min-width: 210px;
}

.project-title{
	font-size: 1rem;
}

.project-desc, .project-btn{
	font-size: 0.8rem;
}
}